[INCLUDE]
INCLUDE=common/no_popup_lights.ini

[LIGHTING]
INTERIOR_FAKE_UPPER_SHADOW_HEIGHT=0.04
INTERIOR_FAKE_UPPER_SHADOW_FADE=0.05
EMISSIVE_HEADLIGHTS_MULT=3
EMISSIVE_PARKINGLIGHTS_MULT=4
EMISSIVE_BRAKELIGHTS_MULT=0.5

[BOUNCED_INTERIOR_LIGHT]
MULT=1,1,1,2

[MODEL_REPLACEMENT_0]
FILE=rg_toyota_.8.kn5
HIDE=g_Bumper_F_SUB3, g_BODY_EXT_SUB8
INSERT=
INSERT_AFTER=FRONT_BUMPER

[SMART_MIRROR]
VISIBLE_FIRSTPERSON=RIGHT

[INSTRUMENTS]
SPEED_LAG=0.7
SPEED_LIMIT=270

[ODOMETER_MAIN]
NAME=
FONT=odometer_font
BLEND_MODE=0
POSITION=83, 262
ROTATION=00
SCALE=1,1
SIZE=119, 25
DIGIT_WIDTH=11
COUNT=6
BACKGROUND=0.08, 0.08, 0.09
COLOR=1, 1, 1
JITTER=0.07
MOVEMENT_INTERVAL=5

[ODOMETER_TRIP]
NAME=
FONT=odometer_font
BLEND_MODE=0
POSITION=83, 335
SIZE=121, 25
DIGIT_WIDTH=11
COUNT=5
BACKGROUND=0.08, 0.08, 0.09
COLOR=1, 1, 9
LAST_DIGIT_COLOR=0, 0, 0
LAST_DIGIT_BACKGROUND=1, 1, 1
LAST_DIGIT_BACKGROUND_LOCATION=99,19
JITTER=0.09
MOVEMENT_INTERVAL=1

[EMISSIVE_LIGHT_0]
NAME=Light_1,Light_0
COLOR=1ll, 2, 80, 22
LAG=0
SIMULATE_HEATING=0
LOCATION=NONE

[EMISSIVE_REVERSE_0]
NAME=reverse_gl_gmt
COLOR=25, 25, 24
LAG=0.8
SIMULATE_HEATING=0.3

[EMISSIVE_HAZARD_0]
NAME=front_bumper_gmt_SUB0
COLOR=2, 0, 0
LAG=0.0
SIMULATE_HEATING=0.0

[EMISSIVE_HANDBRAKE_0]
NAME=handbrake_light_gmt_001
COLOR=16, 0, 0
LAG=0.0
SIMULATE_HEATING=0.0
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_LEFT_0]
NAME=front_signal_l_gmt
COLOR=25, 12, 0
LAG=0.9
SIMULATE_HEATING=0.0
LOCATION=FRONT

[EMISSIVE_TURNSIGNAL_LEFT_1]
NAME=rear_l_sig_gmt
COLOR=25, 12, 0
LAG=0.9
SIMULATE_HEATING=0.0
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_LEFT_2]
NAME=
COLOR=0, 20, 0
LAG=0.1
SIMULATE_HEATING=0.0
LOCATION=NONE

[EMISSIVE_TURNSIGNAL_RIGHT_0]
NAME=front_signal_r_gmt
COLOR=25, 12, 0
LAG=0.9
SIMULATE_HEATING=0.0
LOCATION=FRONT

[EMISSIVE_TURNSIGNAL_RIGHT_1]
NAME=rear_r_sig_gmt
COLOR=25, 12, 0
LAG=0.9
SIMULATE_HEATING=0.0
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_RIGHT_2]
NAME=
COLOR=0, 20, 9
LAG=0.1
SIMULATE_HEATING=0.0
LOCATION=NONE

[BASIC]
BRAKES_THRESHOLD=0.05
ENGINE_STALLED_RPM_THRESHOLD=1
HAZARD_LIGHTS_ENGINE_LIFE_THRESHOLD=0.001
HEADLIGHTS_ARE_HEADLIGHTS=1
HORN_AS_SIREN=1
IS_LOW_BEAM_AVAILABLE=1
LIGHT_DAMAGE_SPEED_MAX=120
LIGHT_DAMAGE_SPEED_MIN=80
STOP_LODS_ADJUSTMENT=0
TURNING_LIGHTS_REPEAT=1

[PARTICLES_FX_EXHAUST_1]
POSITION = -0.9778036,0.2259462,2.036762
IS_LEFT=1
GROUP=1
[PARTICLES_FX_EXHAUST_1, PARTICLES_FX_EXHAUST_1]
DIRECTION = -0.7734712,0.5990977,-0.20694
SPAWN_OFFSET = 0.02
SPREAD = 4
COLOR = 0, 0, 2000
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 0.0, 8.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_2]
POSITION = -0.9778036,0.2259462,2.036762
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_2, PARTICLES_FX_EXHAUST_2]
DIRECTION = -0.7734712,0.5990977,-0.20694
SPAWN_OFFSET = 0.02
SPREAD = 4
COLOR = 2000, 0, 0
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 0.0, 8.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_3]
POSITION = -0.9778036,0.2259462,2.036762
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_3, PARTICLES_FX_EXHAUST_3]
DIRECTION = -0.7734712,0.5990977,-0.20694
SPAWN_OFFSET = 0.05
SPREAD = 4
COLOR = 2000, 0, 0
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 0.0, 8.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_4]
POSITION = -0.9778036,0.2259462,2.036762
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_4, PARTICLES_FX_EXHAUST_4]
DIRECTION = -0.7734712,0.5990977,-0.20694
SPAWN_OFFSET = 0.01
SPREAD = 4
COLOR = 2000, 0, 0
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 0.0, 8.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_5]
POSITION = -0.9778036,0.2259462,2.036762
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_5, PARTICLES_FX_EXHAUST_5]
DIRECTION = -0.7734712,0.5990977,-0.20694
SPAWN_OFFSET = 0.03
SPREAD = 0
COLOR = 0, 0, 0
GROW = 10
LIFE = 0.0, 1.2
SPEED = 0.4, 4.7
INTENSITY = 0.0, 2.7
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 40
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_6]
POSITION = -0.9778036,0.2259462,2.036762
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_6, PARTICLES_FX_EXHAUST_6]
DIRECTION = -0.7734712,0.5990977,-0.20694
SPAWN_OFFSET = -0.10
SPREAD = 0
COLOR = 0.5, 0.5, 0.5
GROW = 1
LIFE = 0.2, 0
SPEED = 2.0, 0.0
INTENSITY = 1.0, 0.0
TEMPERATURE_THRESHOLD = 1
SPEED_THRESHOLD = 0, 40
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_7]
POSITION = -0.9778036,0.2259462,2.036762
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_7, PARTICLES_FX_EXHAUST_7]
DIRECTION = -0.7734712,0.5990977,-0.20694
SPAWN_OFFSET = -0.10
SPREAD = 0
COLOR = 0.0, 0.0, 0.0
GROW = 1
LIFE = 0.4, 0
SPEED = 0.4, 0.0
INTENSITY = 0.3, 0.0
TEMPERATURE_THRESHOLD = 1
SPEED_THRESHOLD = 0, 40
IS_LEFT=1
GROUP=1

[PARTICLES_FX_EXHAUST_8]
POSITION = 0.948464,0.2077553,2.024722
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_8, PARTICLES_FX_EXHAUST_8]
DIRECTION = 0.7654533,0.570097,-0.2984472
SPAWN_OFFSET = 0.02
SPREAD = 4
COLOR = 0, 0, 2000
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 10.3, 10.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_9]
POSITION = 0.948464,0.2077553,2.024722
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_9, PARTICLES_FX_EXHAUST_9]
DIRECTION = 0.7654533,0.570097,-0.2984472
SPAWN_OFFSET = 0.02
SPREAD = 4
COLOR = 2000, 0, 0
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 10.3, 10.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_10]
POSITION = 0.948464,0.2077553,2.024722
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_10, PARTICLES_FX_EXHAUST_10]
DIRECTION = 0.7654533,0.570097,-0.2984472
SPAWN_OFFSET = 0.05
SPREAD = 4
COLOR = 2000, 0, 0
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 10.3, 10.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_11]
POSITION = 0.948464,0.2077553,2.024722
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_11, PARTICLES_FX_EXHAUST_11]
DIRECTION = 0.7654533,0.570097,-0.2984472
SPAWN_OFFSET = 0.01
SPREAD = 4
COLOR = 2000, 0, 0
GROW = 10
LIFE = 0.0, 0.1
SPEED = 0.0, 1.0
INTENSITY = 10.3, 10.3
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 10
LIMITER_THRESHOLD = 7000
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_12]
POSITION = 0.948464,0.2077553,2.024722
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_12, PARTICLES_FX_EXHAUST_12]
DIRECTION = 0.7654533,0.570097,-0.2984472
SPAWN_OFFSET = 0.03
SPREAD = 0
COLOR = 0, 0, 0
GROW = 10
LIFE = 0.0, 1.2
SPEED = 0.4, 4.7
INTENSITY = 2.7, 2.7
TEMPERATURE_THRESHOLD = 0
SPEED_THRESHOLD = 0, 40
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_13]
POSITION = 0.948464,0.2077553,2.024722
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_13, PARTICLES_FX_EXHAUST_13]
DIRECTION = 0.7654533,0.570097,-0.2984472
SPAWN_OFFSET = 0.10
SPREAD = 0
COLOR = 0.5, 0.5, 0.5
GROW = 1
LIFE = 0.2, 0
SPEED = 2.0, 0.0
INTENSITY = 1.0, 0.0
TEMPERATURE_THRESHOLD = 1
SPEED_THRESHOLD = 0, 40
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_14]
POSITION = 0.948464,0.2077553,2.024722
IS_LEFT=0
GROUP=0

[PARTICLES_FX_EXHAUST_14, PARTICLES_FX_EXHAUST_14]
DIRECTION = 0.7654533,0.570097,-0.2984472
SPAWN_OFFSET = 0.10
SPREAD = 0
COLOR = 0.0, 0.0, 0.0
GROW = 1
LIFE = 0.4, 0
SPEED = 0.4, 0.0
INTENSITY = 0.3, 0.0
TEMPERATURE_THRESHOLD = 1
SPEED_THRESHOLD = 0, 40
IS_LEFT=0
GROUP=0


[AUDIO_PROPERTIES]
TURBO_THROTTLE = 1    ; for turbo sound, “throttle” input, same as in engine event

[INCLUDE: common/gt3_exhaust_glow.ini]

[EMISSIVE_WATER_TEMP_0_EXHAUST_GLOW]
MESHES = Tube002xx_SUB0
COLOR = 12, 2, 0, 2.5
USE_SMOOTH_TRANSITION = 1
INPUT_MIN = 85
INPUT_MAX = 200
INPUT_LUT = (| 84 = 0 | 95 = 1 |)
AFFECTS_TRACK = 1
SPECULAR_MULT = 3

[DATA] 
DISABLE_LIGHTSINI=0
DISABLE_DIGITALINSTRUMENTSINI=0

;Analogics

[ANALOG_INDICATOR_...]
INPUT = RPM
INPUT_MAX = 8900
OBJECT_NAME = AEMCD7_ARROW_RPM
ZERO = 0
STEP = 0.029
INPUT_LUT =  (| 0=0 | 1000=600 | 2000=1300 | 3000=1900 | 4000=2300 | 9000=9000 |)

;; Digital Dash 1

[DI_BATTERY_...]
DIGITAL_ITEM = 0
INPUT_MULT=1

[DI_BEST_LAP_TIME_...]
DIGITAL_ITEM = 1
INPUT_MULT=1

[DI_FUEL_...]
DIGITAL_ITEM = 2
INPUT_MULT=1

[DI_GEAR_...]
DIGITAL_ITEM = 3
INPUT_MULT=1

[DI_LAP_TIME_...]
DIGITAL_ITEM = 4
INPUT_MULT=1

[DI_OIL_TEMPERATURE_...]
DIGITAL_ITEM = 5
INPUT_MULT=1

[DI_OIL_PRESSURE_...]
DIGITAL_ITEM = 6
INPUT_MULT=1

[DI_SPEED_...]
DIGITAL_ITEM = 7
DIGITAL_ITEM_NUMBER_FORMAT = 1.0
INPUT_MULT=1

[DI_TURBO_...]
DIGITAL_ITEM = 8
DIGITAL_ITEM_NUMBER_FORMAT = 0.1
INPUT_MULT=14.504

[DI_WATER_TEMPERATURE_...]
DIGITAL_ITEM = 9
INPUT_MULT=1

[DI_PERF_METER_...]
DIGITAL_ITEM = 10
DIGITAL_ITEM_NUMBER_FORMAT = 0.1
INPUT_MULT=1

; Display 2

[DI_TURBO_BOOST_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 11
DIGITAL_ITEM_NUMBER_FORMAT = 0.2
INPUT_MULT=1.5

[DI_FUEL_CONSUMPTION_LPL_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 12
DIGITAL_ITEM_NUMBER_FORMAT = 0.1
INPUT_MULT=1

[DI_PERF_METER_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 13
INPUT_MULT=1

[DI_LAP_TIME_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 14
INPUT_MULT=1

[DI_LAST_LAP_TIME_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 15
INPUT_MULT=1

[DI_RPM_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 16
DIGITAL_ITEM_NUMBER_FORMAT = 1.0
INPUT_MULT=1

[DI_SPEED_WHEELS_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 17
DIGITAL_ITEM_NUMBER_FORMAT = 1.0
INPUT_MULT=1

[DI_GAS_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 18
;DIGITAL_ITEM_NUMBER_FORMAT = 0.1

[DI_TURBO_...]
INPUT=EXTRA_D
DIGITAL_ITEM = 19
DIGITAL_ITEM_NUMBER_FORMAT = 0.1
INPUT_MULT=14.503

;


[ANALOG_INDICATOR_...]
INPUT=EXTRA_D
INPUT_SELECTOR = FIRST
RANGE=0
NAME=AEMCD7_DISPLAY_ALT         
G_FACTOR = -0.0, -0.00, -0
POS_OFFSET_END = -0.000, -0.0, -2.9
POS_OFFSET_START = 0.00, 0.00, 0.2
SCALE_START = 1.0,1.0,1.0       ; scale for the minimum value
SCALE_END = 1.00, 1.00, 1.00
	

;LEDS

[EMISSIVE_...]
; pit limiter enabled
NAME=AEM_CD7_LED_0
INPUT=SPEEDLIMITER
BIND_TO_HEADLIGHTS=0
COLOR=0,100,155,15
OFF_COLOR=0
EXTERIOR_ONLY=0
INTERIOR_ONLY=0

[EMISSIVE_...]
NAME=AEM_CD7_LED_1
INPUT=SPEEDLIMITER_INACTION
BIND_TO_HEADLIGHTS=0
COLOR=155,100,0,15
OFF_COLOR=0
EXTERIOR_ONLY=0
INTERIOR_ONLY=0

[EMISSIVE_...]
NAME= AEMCD7_STALLED
BIND_TO=STALLED 
COLOR=4,4,4,2
LAG=0.5
TOGGLE_VISIBILITY = 1

;



[INSTRUMENTS]
HAZARDS_G_THRESHOLD=1.27
SPEED_LAG=0.7
SPEED_LIMIT=270

[STATUS_BATTERY]
BASE_VOLTAGE=12.4
MAX_VOLTAGE=13.6
RPM_LAG=0.98

[EMISSIVE_LIGHT_...]
NAME=AEM_CD7_display_main
COLOR=5, 5, 5, 1
LAG=0.4
SIMULATE_HEATING=0.9
LOCATION=NONE

[EMISSIVE_LIGHT_...]
NAME=AEMCD7_ARROW_RPM
COLOR=5, 2, 0, 6
LAG=0.4
SIMULATE_HEATING=0.9
LOCATION=NONE

[EMISSIVE_LIGHT_...]
NAME=AEM_CD7_display_alt
COLOR=5, 5, 5, 1
LAG=0.4
SIMULATE_HEATING=0.9
LOCATION=NONE

[BASIC]
BRAKES_THRESHOLD=0.05
ENGINE_STALLED_RPM_THRESHOLD=1
HAZARD_LIGHTS_ENGINE_LIFE_THRESHOLD=0.001
HEADLIGHTS_ARE_HEADLIGHTS=1
HORN_AS_SIREN=0
IS_LOW_BEAM_AVAILABLE=1
LIGHT_DAMAGE_SPEED_MAX=120
LIGHT_DAMAGE_SPEED_MIN=80
STOP_LODS_ADJUSTMENT=0
TURNING_LIGHTS_REPEAT=1
DIESEL_ENGINE = 0 		; or 1

[EMISSIVE_EXTRA_B_0] 
BIND_TO_EXTRA_S=1
BIND_TO_HEADLIGHTS=0
NAME=black_m_15,black_m_11,black_m_03,chrome_02,chrome_13,chrome_15,black_m_02,slick_gum_09,black_m_14,gum_36
COLOR=0,0,1,1
OFF_COLOR=0,0,0
LAG=0.01
SIMULATE_HEATING=0
LOCATION=BACK
ACT_AS_HEADLIGHTS=0  
TOGGLE_VISIBILITY=1    
TOGGLE_VISIBILITY_INVERSE=1






